﻿@model BlogSidebarItemsViewModel

@if (Model.PopularPosts != null && Model.PopularPosts.Count > 0)
{
    <div class="row">
        <div class="col-md-12">
            <h6 class="page-title"><span>مطالب پر بازدید</span></h6>
        </div>
        <div class="col-md-12">
            @foreach (var item in Model.PopularPosts)
            {
                @Html.Partial("_SideBarPost", item)
            }
        </div>
    </div>
    <hr />
}
@if (Model.LatestPosts != null && Model.LatestPosts.Count > 0)
{
    <div class="row">
        <div class="col-md-12">
            <h6 class="page-title"><span>جدیدترین مطالب</span></h6>
        </div>
        <div class="col-md-12">
            @foreach (var item in Model.PopularPosts)
            {
                @Html.Partial("_SideBarPost", item)
            }
        </div>
    </div>
    <hr />
}
@if (Model.Categories != null && Model.Categories.Count > 0)
{
    <h6 class="page-title"><span>دسته بندی مطالب</span></h6>
    var parentCategories = Model.Categories.Where(p => p.ParentCategoryId == 0 || p.ParentCategoryId == null).ToList();
    <ul>
        @foreach (var parentCategory in parentCategories)
        {
            var childs = Model.Categories.Where(p => p.ParentCategoryId == parentCategory.Id).ToList();
            <li>
                @*<a href="@Url.RouteUrl("BlogCategory", new { url = parentCategory.Url })">@parentCategory.Name</a>*@
                <a href="@Url.Action("Index", "Blog")/category-@parentCategory.Name">@parentCategory.Name</a>
            </li>
            if (childs != null && childs.Count > 0)
            {
                <li>
                    <ul>
                        @foreach (var item in childs)
                        {
                            <li>
                                @*<a href="@Url.RouteUrl("BlogCategory", new { url = parentCategory.Url, childurl = item.Url })">@item.Name</a>*@
                                <a href="@Url.Action("Index", "Blog")/category-@item.Name">@item.Name</a>
                            </li>
                        }
                    </ul>
                </li>
            }
        }
    </ul>
    <hr />
}
@if (Model.Tags != null && Model.Tags.Count > 0)
{
    <h6 class="page-title"><span>برچسب ها</span></h6>
    <ul>
        @foreach (var item in Model.Tags)
        {
            <li>
                <a href="@Url.RouteUrl("Index", "Blog")/tag-@item.Name">@item.Name</a>
            </li>
        }
    </ul>
}